ImportError: /lib64/libstdc++.so.6: version `CXXABI_1.3.8‘ not found

今天遇到一个错误:

ImportError: /lib64/libstdc++.so.6: version `CXXABI_1.3.8’ not found (required by /root/.pyenv/versions/env37/lib/python3.7/site-packages/paddle/fluid/core_avx.so)

更新一下libstdc++.so.6即可,点击可下载。

  1. 将下载的文件上传至/usr/lib64目录下,可使用命令find / -name “libstdc++.so*” 查看你的文件位置。
  2. 解压文件unzip libstdc.so_.6.0.26.zip
  3. 备份之前的ibstdc++.so.6 使用命令mv libstdc++.so.6 libstdc++.so.6.bak
  4. 穿件新的 使用命令 ln -s libstdc++.so.6.0.26 libstdc++.so.6

上述操作即可完成更新,可以使用命令strings /usr/lib64/libstdc++.so.6|grep CXXABI查看所需版本是否存在。

还有什么问题可留言交流

发表回复